// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0-devel
// 	protoc        v3.13.0
// source: registro.proto

package registro

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Ficha struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id            string `protobuf:"bytes,1,opt,name=Id,proto3" json:"Id,omitempty"`
	TipoDePaquete string `protobuf:"bytes,7,opt,name=TipoDePaquete,proto3" json:"TipoDePaquete,omitempty"`
	Valor         string `protobuf:"bytes,2,opt,name=Valor,proto3" json:"Valor,omitempty"`
	Origen        string `protobuf:"bytes,3,opt,name=Origen,proto3" json:"Origen,omitempty"`
	Destino       string `protobuf:"bytes,4,opt,name=Destino,proto3" json:"Destino,omitempty"`
	Intentos      string `protobuf:"bytes,5,opt,name=Intentos,proto3" json:"Intentos,omitempty"`
	Hora          string `protobuf:"bytes,6,opt,name=Hora,proto3" json:"Hora,omitempty"`
}

func (x *Ficha) Reset() {
	*x = Ficha{}
	if protoimpl.UnsafeEnabled {
		mi := &file_registro_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Ficha) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Ficha) ProtoMessage() {}

func (x *Ficha) ProtoReflect() protoreflect.Message {
	mi := &file_registro_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Ficha.ProtoReflect.Descriptor instead.
func (*Ficha) Descriptor() ([]byte, []int) {
	return file_registro_proto_rawDescGZIP(), []int{0}
}

func (x *Ficha) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Ficha) GetTipoDePaquete() string {
	if x != nil {
		return x.TipoDePaquete
	}
	return ""
}

func (x *Ficha) GetValor() string {
	if x != nil {
		return x.Valor
	}
	return ""
}

func (x *Ficha) GetOrigen() string {
	if x != nil {
		return x.Origen
	}
	return ""
}

func (x *Ficha) GetDestino() string {
	if x != nil {
		return x.Destino
	}
	return ""
}

func (x *Ficha) GetIntentos() string {
	if x != nil {
		return x.Intentos
	}
	return ""
}

func (x *Ficha) GetHora() string {
	if x != nil {
		return x.Hora
	}
	return ""
}

var File_registro_proto protoreflect.FileDescriptor

var file_registro_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x08, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x22, 0xb5, 0x01, 0x0a, 0x05, 0x46,
	0x69, 0x63, 0x68, 0x61, 0x12, 0x0e, 0x0a, 0x02, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x49, 0x64, 0x12, 0x24, 0x0a, 0x0d, 0x54, 0x69, 0x70, 0x6f, 0x44, 0x65, 0x50, 0x61,
	0x71, 0x75, 0x65, 0x74, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x54, 0x69, 0x70,
	0x6f, 0x44, 0x65, 0x50, 0x61, 0x71, 0x75, 0x65, 0x74, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x56, 0x61,
	0x6c, 0x6f, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x56, 0x61, 0x6c, 0x6f, 0x72,
	0x12, 0x16, 0x0a, 0x06, 0x4f, 0x72, 0x69, 0x67, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x4f, 0x72, 0x69, 0x67, 0x65, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x44, 0x65, 0x73, 0x74,
	0x69, 0x6e, 0x6f, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x44, 0x65, 0x73, 0x74, 0x69,
	0x6e, 0x6f, 0x12, 0x1a, 0x0a, 0x08, 0x49, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x6f, 0x73, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x49, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x6f, 0x73, 0x12, 0x12,
	0x0a, 0x04, 0x48, 0x6f, 0x72, 0x61, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x48, 0x6f,
	0x72, 0x61, 0x32, 0x41, 0x0a, 0x0f, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x2e, 0x0a, 0x08, 0x53, 0x61, 0x79, 0x48, 0x65, 0x6c, 0x6c,
	0x6f, 0x12, 0x0f, 0x2e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x2e, 0x46, 0x69, 0x63,
	0x68, 0x61, 0x1a, 0x0f, 0x2e, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x6f, 0x2e, 0x46, 0x69,
	0x63, 0x68, 0x61, 0x22, 0x00, 0x42, 0x0a, 0x5a, 0x08, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72,
	0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_registro_proto_rawDescOnce sync.Once
	file_registro_proto_rawDescData = file_registro_proto_rawDesc
)

func file_registro_proto_rawDescGZIP() []byte {
	file_registro_proto_rawDescOnce.Do(func() {
		file_registro_proto_rawDescData = protoimpl.X.CompressGZIP(file_registro_proto_rawDescData)
	})
	return file_registro_proto_rawDescData
}

var file_registro_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_registro_proto_goTypes = []interface{}{
	(*Ficha)(nil), // 0: registro.Ficha
}
var file_registro_proto_depIdxs = []int32{
	0, // 0: registro.RegistroService.SayHello:input_type -> registro.Ficha
	0, // 1: registro.RegistroService.SayHello:output_type -> registro.Ficha
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_registro_proto_init() }
func file_registro_proto_init() {
	if File_registro_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_registro_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Ficha); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_registro_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_registro_proto_goTypes,
		DependencyIndexes: file_registro_proto_depIdxs,
		MessageInfos:      file_registro_proto_msgTypes,
	}.Build()
	File_registro_proto = out.File
	file_registro_proto_rawDesc = nil
	file_registro_proto_goTypes = nil
	file_registro_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// RegistroServiceClient is the client API for RegistroService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type RegistroServiceClient interface {
	SayHello(ctx context.Context, in *Ficha, opts ...grpc.CallOption) (*Ficha, error)
}

type registroServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewRegistroServiceClient(cc grpc.ClientConnInterface) RegistroServiceClient {
	return &registroServiceClient{cc}
}

func (c *registroServiceClient) SayHello(ctx context.Context, in *Ficha, opts ...grpc.CallOption) (*Ficha, error) {
	out := new(Ficha)
	err := c.cc.Invoke(ctx, "/registro.RegistroService/SayHello", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// RegistroServiceServer is the server API for RegistroService service.
type RegistroServiceServer interface {
	SayHello(context.Context, *Ficha) (*Ficha, error)
}

// UnimplementedRegistroServiceServer can be embedded to have forward compatible implementations.
type UnimplementedRegistroServiceServer struct {
}

func (*UnimplementedRegistroServiceServer) SayHello(context.Context, *Ficha) (*Ficha, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SayHello not implemented")
}

func RegisterRegistroServiceServer(s *grpc.Server, srv RegistroServiceServer) {
	s.RegisterService(&_RegistroService_serviceDesc, srv)
}

func _RegistroService_SayHello_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Ficha)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(RegistroServiceServer).SayHello(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/registro.RegistroService/SayHello",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(RegistroServiceServer).SayHello(ctx, req.(*Ficha))
	}
	return interceptor(ctx, in, info, handler)
}

var _RegistroService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "registro.RegistroService",
	HandlerType: (*RegistroServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "SayHello",
			Handler:    _RegistroService_SayHello_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "registro.proto",
}
